- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- CreateLineItemRequest
- Try it!
Creates LineItem objects.
HTTP request
POST https://admanager.googleapis.com/v1/{parent}/lineItems:batchCreate
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The |
Response body
Response object for lineItems.batchCreate method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"lineItems": [
{
object ( |
| Fields | |
|---|---|
lineItems[] |
The |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/admanager
For more information, see the OAuth 2.0 Overview.
CreateLineItemRequest
Request object for lineItems.create method.
| JSON representation |
|---|
{
"parent": string,
"lineItem": {
object ( |
| Fields | |
|---|---|
parent |
Required. The parent resource where this |
lineItem |
Required. The |